Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000109 [cparser] firm graph generation major always 2013-07-27 18:41 2016-01-03 03:28
Reporter luzero View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000109: Abort on nested switch: Call T[134:46]: not dominated by operand Call T[134:46]
Description cparser -m32 -std=c99 -pthread -g -c -o out.o 000.c

backtrace

0000002 0x000000000059e957 in irg_assert_verify (irg=0xa4a240)
    at ir/ir/irverify.c:1208
0000003 0x0000000000443c75 in do_irp_opt (name=0x6d1d74 "target-lowering")
    at driver/firm_opt.c:484
0000004 0x00000000004443ec in do_firm_lowering (
    input_filename=0x7fffffffe00a "tmp2/000.c") at driver/firm_opt.c:669
0000005 0x000000000044484a in generate_code (out=0xa6fe30,
    input_filename=0x7fffffffe00a "tmp2/000.c") at driver/firm_opt.c:794
0000006 0x000000000044dd24 in compilation_loop (mode=CompileAssemble,
    units=0xa04010, standard=STANDARD_C99, out=0xa49da0) at main.c:1884
0000007 0x0000000000451f5f in main (argc=9, argv=0x7fffffffdbd8) at main.c:2696
Additional Information cparser f37350b
libfirm d065b1e
Tags No tags attached.
Attached Files c file icon 000.c [^] (762 bytes) 2013-07-27 18:41

- Relationships

-  Notes
(0000157)
Matze (administrator)
2013-07-28 21:22

confirmed, simplified version added as firm-testsuite/opt/fehler214.c
(0000158)
Matze (administrator)
2013-07-29 07:34

fixed in libfirm 6cba22371ebaa43e16c25eb48c230e0e2f0f42e6

- Issue History
Date Modified Username Field Change
2013-07-27 18:41 luzero New Issue
2013-07-27 18:41 luzero File Added: 000.c
2013-07-28 21:22 Matze Note Added: 0000157
2013-07-28 21:22 Matze Status new => confirmed
2013-07-29 07:34 Matze Note Added: 0000158
2013-07-29 07:34 Matze Assigned To => Matze
2013-07-29 07:34 Matze Status confirmed => resolved
2013-07-29 07:34 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker